Bug 64129 - Hangs checking for new hw suspect scsi scanner
Hangs checking for new hw suspect scsi scanner
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-26 02:21 EDT by rr100
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rr100 2002-04-26 02:21:01 EDT
Description of Problem:
I have an Adaptec 2906 (AHA-7850) scsi card with a UMAX 2200 scanner 
attached, but not always turned on. When it is powered on kudzu seems
to have no trouble seeing it and continuing the boot process. If it is
not turned on, kudzu usually hangs when checking for new hardware. Reseting the
machine gets past this even with the scanner still turned off. If the 
scanner is on and the boot succeeds that scanner works just fine. Have
no recollection if turning on the scanner after a successfull boot will
get it recognized and be usable.


Version-Release number of selected component (if applicable): 0.99.23


How Reproducible: majority of the time


Steps to Reproduce:
1. With machine and scanner off
2. Turn on machine and allow to boot
3. Checking for new hardware message; hangs

Actual Results:
Machine is locked up and requires hard reset.

Expected Results:
Pops up window saying hardware configuration has changed and asks
what to do.

Additional Information:
When I do get the pop-up window about the scanner no longer being
found, I try selecting to do nothing, leave the scanner configured.
This seems to have no affect on future boots and kudzu hanging.
Comment 1 Bill Nottingham 2002-06-12 02:31:00 EDT
Does kudzu hang, or does the whole machine hang?
Comment 2 rr100 2002-06-13 00:56:28 EDT
It could be either one, but since it is in the boot process where kudzu runs 

and has not gotten far enough to be able to switch to a virtual console I 

can't check if other tasks are possible. So the only way out is to do a hard 

reset.
Comment 3 Bill Nottingham 2002-06-13 10:37:16 EDT
Well, if it's a *hard* reset, that implies that something bad is happenening
when it's loading the scsi controller/reading the scsi bus, which very well can
be a driver issue.
Comment 4 Bugzilla owner 2004-09-30 11:39:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.